#include <bits\stdc++.h>

using namespace std;
int n;
int a[100010];
int b[100010];
short gen[2000000][30];
short pom[30];
int red[100010];

typedef struct{
    int kutija;
    int t;
    int code;
} dog;
dog dogadjaji[300010]; //0 dodaj 1 skini
int duzD, duzG;
int index;

bool cmp(dog d1, dog d2)
{
    return d1.t<d2.t;
}

void generisi(int i)
{
    if(i==n)
    {
        gen[duzG][0]=0;
        for(int j=1;j<n;j++)
            gen[duzG][j]=pom[j];
        duzG++;
        return;
    }
    pom[i]=0;
    generisi(i+1);
    pom[i]=1;
    generisi(i+1);
}

void ubaci(int k, int c)
{
    if(c==0)
    {
        for(int i=index;i>=1;i--)
            red[i]=red[i-1];
        red[0]=k;
        index++;
    }
    else
    {
        red[index++]=k;
    }
}

long long skini(int k)
{
    int i;
    for(i=0;i<index;i++)
        if(red[i]==k)
            break;
    index--;
    for(int j=i;j<index;j++)
        red[j]=red[j+1];
    return i;
}

long long Resi(int N, int *A, int *B) {


	return -1;
}